TYPOS3.Flow - Bug # 36056

Status: Resolved Priority: Should have
Updated: 2012-12-19 Due date:
Has patch: No

Complexity:

Affected Flow version: Git master

Subject: Usage of " in the Policy.yaml

Description
The Policy.yaml that comes with TYPO3.FLOWS3 has the following example:

# resources:

# methods:

# TYPO3_FooPackage_PropertySetter: "method(TYPO3\FooPackage\SomeClass->setSomeProperty())"
If you follow that example and wrap the string with the " character, then the following expression will fail:

# resources:

# methods:

# ResourceName: "method(Package\LoginController\SomeClass->setSomeProperty())"

Because of the " the \L will be removed and the expression will not work as expected. If you replace the " with " it will work.

The examples in the documentation use all the ' character, so it should be enough to change the Policy.yaml that comes with
TYPO3.FLOWS. It seems it is a legal escape character for YAML, but it is a bit confusing.

The stripping happens in the YAML paser and not in FLOWS.

http://www.yaml.org/refcard.html

Associated revisions

Revision 8e9332e7 - 2012-05-15 16:02 - Karsten Dambekalns

[BUGFIX] Do not use double quotes in Policy.yaml files

To avoid potential treatment of backslashes as escape character
in YAML files, wrap strings in single quotes.

Change-Id: 10cfda2bd731fd423cb36e4cfa02dec58e8calf77

Fixes: #36056
Releases: 1.1

History

#1 - 2012-04-26 17:32 - Karsten Dambekalns
http://www.yaml.org/refcard.html

- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

- Target version set to 1.1
#2 - 2012-05-15 16:04 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11219

#3 - 2012-05-15 17:19 - Karsten Dambekalns

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

#4 - 2012-12-19 09:15 - Hartmann Andreas

As far as i can tell, this Problem is not solved in FLOW 2 beta 1

Fails under Windows 7 but seems to Work in iOS:

Login: 'methods(Nelo\Artii\Controller\LoginController->.*Action())'

Works under Windows 7

Login: 'methods(Nelo\Artii\Controller\\LoginController->.*Action())'
